genphy_setup_forced
Prev | PHY Support | Next

## Name

genphy_setup_forced — configures/forces speed/duplex from `phydev`

## Synopsis

`int genphy_setup_forced (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Configures MII_BMCR to force speed/duplex to the values in phydev. Assumes that the values are valid. Please see `phy_sanitize_settings`.

Prev | Up | Next
phy_prepare_link | Home | genphy_restart_aneg